<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
	let total=0, numero=0, pregunta="";

	

	 do {

	pregunta=prompt("¿Más números? Escribe si o no");


	if(pregunta=="si") {

		numero=Number(prompt("Introduce un número"));
		 	if(numero==0) {
		 		total=total+1;
		 	}

	} else {
		document.write("El total es: "+total);
		}
	
	}

	while (pregunta=="si");



	





	</script>
</head>
<body>
	
</body>
</html>